%global git_tag 7.2.0

Name:           eclipse-linuxtools
Version:        7.2.0
Release:        4%{?dist}
Summary:        Linux specific Eclipse plugins

License:        EPL-2.0
URL:            http://eclipse.org/linuxtools/
Source0:        http://git.eclipse.org/c/linuxtools/org.eclipse.linuxtools.git/snapshot/org.eclipse.linuxtools-%{git_tag}.tar.xz
Source1:        libstdc++-v3.libhover

Patch0: 0001-Use-local-libhover-data.patch
Patch1: 0002-Fix-Docker-Tooling-terminal-on-newer-versions-of-Jer.patch
Patch2: 0003-Use-import-package-for-javax.xml.bind.patch

BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: eclipse-cdt
BuildRequires: eclipse-jdt
BuildRequires: swt-chart
BuildRequires: eclipse-remote
BuildRequires: eclipse-license2
BuildRequires: eclipse-swtbot
BuildRequires: eclipse-gef
BuildRequires: eclipse-mylyn
BuildRequires: exec-maven-plugin
BuildRequires: eclipse-ptp
BuildRequires: nekohtml
BuildRequires: docker-client-java >= 8.11.7-4
BuildRequires: glassfish-jax-rs-api
BuildRequires: glassfish-jaxb-api
BuildRequires: assertj-core
BuildRequires: mockito
# Ensure we have latest security fixes
BuildRequires: bouncycastle >= 1.61
BuildRequires: jackson-databind >= 2.9.8
BuildRequires: jersey >= 2.28-3
# Required because of transitive optional dep from guava
Requires:  glassfish-annotation-api

BuildArch: noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

%description
The Linux Tools project is a two-faceted project. Firstly, it develops tools 
and frameworks for writing tools for Linux developers. Secondly, it provides
a place for Linux distributions to collaboratively overcome issues surrounding 
distribution packaging of Eclipse technology. The project will produce both
best practices and tools related to packaging. 

%package changelog

Summary:   Eclipse ChangeLog plug-in
Epoch:     2
Obsoletes: eclipse-changelog < 2:%{version}-%{release}
Provides:  eclipse-changelog = 2:%{version}-%{release}

%description changelog
The Eclipse ChangeLog package contains Eclipse features and plugins that are
useful for ChangeLog maintenance within the Eclipse IDE.  It includes
fragments for parsing C, C++, and Java source files to create more detailed
entries containing function or method names.

%package rpm-editor

Summary:   RPM Spec file editor for Eclipse
Requires:  rpmlint >= 0.81
Requires:  rpmdevtools
Obsoletes: eclipse-rpmstubby < %{version}-%{release}
Provides:  eclipse-rpmstubby = %{version}-%{release}
Obsoletes: eclipse-rpm-editor < %{version}-%{release}
Provides:  eclipse-rpm-editor = %{version}-%{release}

%description rpm-editor
The Eclipse Spec file Editor package contains Eclipse plugins that are
useful for maintenance of RPM spec files within the Eclipse IDE.

%package manpage

Summary:   Man page viewer
Obsoletes: eclipse-manpage < %{version}-%{release}
Provides:  eclipse-manpage = %{version}-%{release}

%description manpage
Plugin providing common interface for displaying a man page in a view or 
fetching its content for embedded display purposes (e.g hover help).

%package docker

Summary:  Docker Tooling
Requires: docker-client-java >= 8.11.7-4
# Ensure we have latest security fixes
Requires: bouncycastle >= 1.61
Requires: jackson-databind >= 2.9.8
Requires: jersey >= 2.28-3

%description docker
Plugin providing support for managing Docker containers and images in
Eclipse.

%package vagrant

Summary:  Vagrant Tooling
Recommends: vagrant

%description vagrant
Plugin providing support for managing Vagrant machines and mages in
Eclipse.

%package gcov

Summary:   GCov Integration
Obsoletes: eclipse-gcov < %{version}-%{release}
Provides:  eclipse-gcov = %{version}-%{release}

%description gcov
Functionality to integrate GCov with the Eclipse workbench.

%package gprof

Summary:   GProf Integration
Obsoletes: eclipse-gprof < %{version}-%{release}
Provides:  eclipse-gprof = %{version}-%{release}

%description gprof
Functionality to integrate GProf with the Eclipse workbench.

%package oprofile

Summary:   Eclipse plugin for OProfile integration
Obsoletes: eclipse-oprofile < %{version}-%{release}
Provides:  eclipse-oprofile = %{version}-%{release}
%if %{?rhel}%{!?rhel:0} == 7
Requires:  oprofile >= 0.9.3
%endif

%description oprofile
Eclipse plugins to integrate OProfile's profiling capabilities with the CDT.

%package perf

Summary:   Eclipse plugin for Perf integration
Obsoletes: eclipse-perf < %{version}-%{release}
Provides:  eclipse-perf = %{version}-%{release}
Requires:  perf

%description perf
Eclipse plugins to integrate Perf's profiling capabilities with the CDT.

%package valgrind

Summary:   Valgrind Tools Integration for Eclipse
Obsoletes: eclipse-valgrind < %{version}-%{release}
Provides:  eclipse-valgrind = %{version}-%{release}
Requires:  valgrind

%description valgrind
This package for Eclipse allows users to launch their C/C++ Development Tools
projects using the Valgrind tool suite and presents the results in the IDE. 

%package systemtap

Summary:   Systemtap Tools Integration for Eclipse
Obsoletes: eclipse-systemtap < %{version}-%{release}
Provides:  eclipse-systemtap = %{version}-%{release}
Requires:  systemtap

%description systemtap
Integrate Systemtap's profiling and tracing capabilities with the CDT.

%package libhover

Summary: Libhover documentation plugin for Eclipse

%description libhover
Common interface for C library hover help to the CDT (C/C++ Development Tools)
as well as a fundamental set of library hovers to choose from. 

%package javadocs

Summary: Javadocs documentation plugin for Eclipse

%description javadocs
Integrates system installed/available javadocs into Eclipse help system.

%package tests

Summary:  Linux Tools Project Test Bundles
Requires: eclipse-linuxtools-changelog
Requires: eclipse-linuxtools-rpm-editor
Requires: eclipse-linuxtools-manpage
Requires: eclipse-linuxtools-gcov
Requires: eclipse-linuxtools-gprof
Requires: eclipse-linuxtools-oprofile
Requires: eclipse-linuxtools-perf
Requires: eclipse-linuxtools-valgrind
Requires: eclipse-linuxtools-systemtap
Requires: eclipse-linuxtools-libhover
Requires: eclipse-linuxtools-javadocs
Requires: eclipse-ptp
Requires: eclipse-swtbot
Requires: eclipse-tests

%description tests
All test bundles for the Linux Tools project.


%prep
%setup -q -n org.eclipse.linuxtools-%{git_tag}
%patch0 -p1
%patch1 -p1
%patch2 -p1

pushd libhover/org.eclipse.linuxtools.cdt.libhover.libstdcxx
mkdir data
cp %{SOURCE1} data/.
popd

# Not needed for RPM builds
%pom_remove_plugin org.jacoco:jacoco-maven-plugin
%pom_remove_dep :tycho-sourceref-jgit vagrant containers
%pom_xpath_remove 'pom:configuration/pom:sourceReferences' vagrant containers

# org.assertj -> org.assertj.core
sed -i -e 's/org.assertj/org.assertj.core/' containers/org.eclipse.linuxtools.docker.ui.tests/META-INF/MANIFEST.MF

# Reddeer is not available
%pom_disable_module org.eclipse.linuxtools.docker.reddeer containers
%pom_disable_module org.eclipse.linuxtools.docker.integration.tests containers
%pom_disable_module org.eclipse.linuxtools.docker.tests-feature containers

# Don't use target platform
%pom_disable_module releng
%pom_disable_module org.eclipse.linuxtools.changelog.ui.tests changelog
%pom_disable_module org.eclipse.linuxtools.docker.ui.tests containers
sed -i '/<target>/,/<\/target>/ d' pom.xml

# Fix uses conflict introduced by EBZ #474606
sed -i -e '9i\ javax.annotation-api;bundle-version="1.2.0",' \
containers/org.eclipse.linuxtools.docker.core/META-INF/MANIFEST.MF

# Relax restriction on guava
sed -i -e '/com.google.guava/s/guava\(;bundle-version=\".*\"\)\?/guava;bundle-version=\"[18.0.0,21.0.0)\"/' \
  containers/org.eclipse.linuxtools.docker.{core,ui.tests,integration.tests}/META-INF/MANIFEST.MF

%mvn_package "::pom::" __noinstall
%mvn_package ":*.{test,tests}" linuxtools-tests
%mvn_package ":*.tests.hamcrest-wrap" linuxtools-tests
%mvn_package ":org.eclipse.linuxtools.{jdt.,}docker*" docker
%mvn_package ":org.eclipse.linuxtools.vagrant*" vagrant
%mvn_package "org.eclipse.linuxtools{,.profiling}:" core
%mvn_package "org.eclipse.linuxtools.javadocs:" javadocs
%mvn_package "org.eclipse.linuxtools.changelog:" changelog
%mvn_package "org.eclipse.linuxtools.gcov:" gcov
%mvn_package "org.eclipse.linuxtools.gprof:" gprof
%mvn_package "org.eclipse.linuxtools.man:" manpage
%mvn_package "org.eclipse.linuxtools.oprofile:" oprofile
%mvn_package "org.eclipse.linuxtools.perf{,-parent}:" perf
%mvn_package "org.eclipse.linuxtools.rpm:" rpm-editor
%mvn_package "org.eclipse.linuxtools.systemtap:" systemtap
%mvn_package "org.eclipse.linuxtools.valgrind:" valgrind
%mvn_package "org.eclipse.linuxtools.cdt.libhover:" libhover

%build
%mvn_build -j -f

%install
%mvn_install

# Appstream addon metadata
for p in changelog gcov gprof oprofile perf systemtap valgrind  ; do
  install -m644 -D $p/eclipse-$p.metainfo.xml %{buildroot}%{_datadir}/appdata/eclipse-$p.metainfo.xml
done

%files -f .mfiles-core
%doc README.md

%files changelog -f .mfiles-changelog
%{_datadir}/appdata/eclipse-changelog.metainfo.xml

%files rpm-editor -f .mfiles-rpm-editor

%files manpage -f .mfiles-manpage

%files gcov -f .mfiles-gcov
%{_datadir}/appdata/eclipse-gcov.metainfo.xml

%files gprof -f .mfiles-gprof
%{_datadir}/appdata/eclipse-gprof.metainfo.xml

%files docker -f .mfiles-docker

%files vagrant -f .mfiles-vagrant

%files oprofile -f .mfiles-oprofile
%{_datadir}/appdata/eclipse-oprofile.metainfo.xml

%files perf -f .mfiles-perf
%{_datadir}/appdata/eclipse-perf.metainfo.xml

%files valgrind -f .mfiles-valgrind
%{_datadir}/appdata/eclipse-valgrind.metainfo.xml

%files systemtap -f .mfiles-systemtap
%{_datadir}/appdata/eclipse-systemtap.metainfo.xml

%files libhover -f .mfiles-libhover

%files javadocs -f .mfiles-javadocs

%files tests -f .mfiles-linuxtools-tests

%changelog
* Sat Mar 16 2019 Mat Booth <mat.booth@redhat.com> - 7.2.0-4
- Rebuild to regenerate Jersey/HK2 symlinks

* Sat Mar 16 2019 Mat Booth <mat.booth@redhat.com> - 7.2.0-3
- Rebuild to regenerate requires/provides

* Thu Mar 14 2019 Mat Booth <mat.booth@redhat.com> - 7.2.0-2
- Disable hard requirement on oprofile

* Thu Mar 14 2019 Mat Booth <mat.booth@redhat.com> - 7.2.0-1
- Update to 2019-03 release
- Restrict to same architectures as Eclipse itself

* Thu Feb 07 2019 Mat Booth <mat.booth@redhat.com> - 7.1.0-3
- Rebuild against newer BC and Jackson

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Dec 10 2018 Mat Booth <mat.booth@redhat.com> - 7.1.0-1
- Update to 2018-12 release

* Wed Sep 12 2018 Mat Booth <mat.booth@redhat.com> - 7.1.0-0.3
- Update to latest snapshot

* Wed Aug 22 2018 Mat Booth <mat.booth@redhat.com> - 7.1.0-0.2
- Add missing R on annotations API

* Wed Aug 22 2018 Mat Booth <mat.booth@redhat.com> - 7.1.0-0.1
- Update to latest snapshot

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 18 2018 Mat Booth <mat.booth@redhat.com> - 7.0.0-3
- Tighten deps on docker-client and guava

* Tue Jun 12 2018 Mat Booth <mat.booth@redhat.com> - 7.0.0-2
- Build against correct license and fix summary typos

* Tue Jun 12 2018 Mat Booth <mat.booth@redhat.com> - 7.0.0-1
- Update to Photon release

* Thu Apr 19 2018 Mat Booth <mat.booth@redhat.com> - 6.2.1-2
- Rebuild to regenerate symlinks

* Mon Mar 19 2018 Alexander Kurtakov <akurtako@redhat.com> 6.2.1-1
- Update to upstream 6.2.1.

* Thu Feb 22 2018 Jeff Johnston <jjohnstn@redhat.com> - 6.2.0-7
- Remove extraneous debugging traceback

* Thu Feb 22 2018 Jeff Johnston <jjohnstn@redhat.com> - 6.2.0-6
- Fix regression caused by ebz#530264 patch
- Fixes ebz#531563

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Feb 02 2018 Jeff Johnston <jjohnstn@redhat.com> - 6.2.0-4
- Fixes ebz#530264: copying from Containers not always correct

* Fri Feb 02 2018 Roland Grunberg <rgrunber@redhat.com> - 6.2.0-3
- Fixes ebz#530622: upstream bug in OProfile plugin.

* Wed Jan 31 2018 Mat Booth <mat.booth@redhat.com> - 6.2.0-2
- Tighten requirement on docker-client and regenerate symlinks

* Mon Dec 18 2017 Mat Booth <mat.booth@redhat.com> - 6.2.0-1
- Update to latest release
- Add BR on mylyn
- Relax restrictions on gson and guava

* Thu Sep 21 2017 Mat Booth <mat.booth@redhat.com> - 6.1.1-2
- Update BR on PTP

* Wed Sep 20 2017 Mat Booth <mat.booth@redhat.com> - 6.1.1-1
- Update to Oxygen.1 release

* Wed Aug 09 2017 Jeff Johnston <jjohnstn@redhat.com> - 6.1.0-2
- Fix problem with copying volumes for a remote Docker daemon

* Wed Aug 02 2017 Mat Booth <mat.booth@redhat.com> - 6.1.0-1
- Update to latest release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 24 2017 Jeff Johnston <jjohnstn@redhat.com> - 6.0.0-1.1
- Switch to use renamed package: docker-client-java

* Sat Jun 17 2017 Mat Booth <mat.booth@redhat.com> - 6.0.0-1
- Update to Oxygen release
- Drops 'opcontrol' support
- Standardise sub-package naming

* Fri Apr 07 2017 Mat Booth <mat.booth@redhat.com> - 5.3.1-2
- Fix NPEs in the Image Run Network Tab

* Fri Mar 31 2017 Mat Booth <mat.booth@redhat.com> - 5.3.1-1
- Update to latest upstream release

* Tue Mar 28 2017 Mat Booth <mat.booth@redhat.com> - 5.3.0-1
- Update to latest upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jan 25 2017 Mat Booth <mat.booth@redhat.com> - 5.2.0-2
- Rebuild to regenerate symlinks

* Wed Dec 21 2016 Alexander Kurtakov <akurtako@redhat.com> 5.2.0-1
- Update to 5.2.0.

* Tue Oct 04 2016 Mat Booth <mat.booth@redhat.com> - 5.1.0-1
- Update to final release of 5.1.0

* Wed Sep 07 2016 Roland Grunberg <rgrunber@redhat.com> - 5.1.0-0.2.git15142db
- Fix Docker Tooling terminal on newer versions of Jersey.

* Tue Sep 06 2016 Mat Booth <mat.booth@redhat.com> - 5.1.0-0.1.git15142db
- Update to 5.1.0 release candidate

* Wed Aug 03 2016 Jeff Johnston <jjohnstn@redhat.com> - 5.0.0-3
- Fix Bug 459549 regarding gcov not matching command-line results

* Thu Jun 30 2016 Mat Booth <mat.booth@redhat.com> - 5.0.0-2
- Bump requirement on docker-client to fixed version

* Wed Jun 22 2016 Mat Booth <mat.booth@redhat.com> - 5.0.0-1
- Update to Neon release

* Fri May 20 2016 Mat Booth <mat.booth@redhat.com> - 5.0.0-0.2.git504cc73
- Take a newer snapshot.
- Drop F22 conditionals

* Tue May 03 2016 Sopot Cela <scela@redhat.com> 5.0.0-0.1.gitc2364c0
- Upgrade to latest master to build with Neon

* Thu Apr 21 2016 Alexander Kurtakov <akurtako@redhat.com> 4.2.2-3
- Correct docker-client 4.x conditional (scheduled for F24).

* Wed Apr 20 2016 Alexander Kurtakov <akurtako@redhat.com> 4.2.2-2
- Fix build with new docker-client and jnr stack.

* Tue Mar 29 2016 Mat Booth <mat.booth@redhat.com> - 4.2.2-1
- Update to 4.2.2 release

* Thu Mar 10 2016 Mat Booth <mat.booth@redhat.com> - 4.2.1-4
- Don't build docker/vagrant on F22

* Thu Mar 10 2016 Mat Booth <mat.booth@redhat.com> - 4.2.1-3
- Only support docker-client > 3.1 on Fedora > 23

* Thu Mar 10 2016 Mat Booth <mat.booth@redhat.com> - 4.2.1-2
- Drop unnecessary obsoletes
- Additional requires for tests

* Mon Feb 29 2016 Alexander Kurtakov <akurtako@redhat.com> 4.2.1-1
- Update to 4.2.1 final release.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-0.2.gitc898d62
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 22 2016 Sopot Cela <scela@redhat.com> - 4.2.1-0.1.gitc898d62
- Upgrade for DTS 4.1

* Wed Jan 20 2016 Roland Grunberg <rgrunber@redhat.com> - 4.2.0-3
- Support docker-client 3.5.9.

* Thu Dec 17 2015 Mat Booth <mat.booth@redhat.com> - 4.2.0-2
- Add requirement on vagrant for vagrant tooling.

* Thu Dec 17 2015 Mat Booth <mat.booth@redhat.com> - 4.2.0-1
- Update to 4.2.0 release.
- Add vagrant tooling package.

* Wed Oct 14 2015 Roland Grunberg <rgrunber@redhat.com> - 4.1.0-2
- Explicitly require javax.annotations bundle in docker core.

* Mon Sep 28 2015 Sopot Cela <scela@redhat.com> - 4.1.0-1
- Update to 4.1.0 (Mars SR1).

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 4.0.0-11
- Rebuild as an Eclipse p2 Droplet.

* Tue Aug 04 2015 Roland Grunberg <rgrunber@redhat.com> - 4.0.0-10
- Add script for automatically launching Linux Tools Test Bundles.

* Tue Aug 4 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-9
- Install appdata.

* Wed Jul 15 2015 Roland Grunberg <rgrunber@redhat.com> - 4.0.0-8
- Let mvn_install handle installation of test bundles.

* Wed Jul 15 2015 Roland Grunberg <rgrunber@redhat.com> - 4.0.0-7
- Support docker-client 3.0.0 API.

* Thu Jul 02 2015 Jeff Johnston <jjohnstn@redhat.com> - 4.0.0-6
- Fix RpmMacroProposalsListTest to allow for more than one proposal.

* Mon Jun 29 2015 Jeff Johnston <jjohnstn@redhat.com> - 4.0.0-5
- Remove docker module requires from eclipse-linuxtools-docker.

* Mon Jun 29 2015 Jeff Johnston <jjohnstn@redhat.com> - 4.0.0-4
- Make eclipse-linuxtools-docker require docker, not docker-io.

* Tue Jun 23 2015 Jeff Johnston <jjohnstn@redhat.com> - 4.0.0-3
- Add in Docker support.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 15 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-1
- Update to 4.0 tagged release.

* Wed Jun 3 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-0.4.gitba4ec78
- Fix BR eclipse-ptp-rdt to eclipse-ptp-rdt-sync.

* Wed Jun 3 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-0.3.gitba4ec78
- Add local libstdc++ libhover file.

* Wed Jun 3 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-0.2.gitba4ec78
- Update to new git snapshot.
- Add libhover and javadocs subpackages.

* Tue Jun 2 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-0.1.gitc53d569
- Update to 4.0 prelease.

* Thu Feb 26 2015 Roland Grunberg <rgrunber@redhat.com> - 3.2.0-1
- Update to 3.2 upstream release.

* Mon Feb 09 2015 Roland Grunberg <rgrunber@redhat.com> - 3.1.0-6
- Place all test bundles under %%{_javadir} instead of dropins.
- Fix packaging of Eclipse OProfile wrapper script.

* Fri Feb  6 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.1.0-5
- Rebuild to generate missing OSGi auto-requires

* Tue Jan 20 2015 Mat Booth <mat.booth@redhat.com> - 3.1.0-4
- Make direct hamcrest use explicit in manifests

* Thu Sep 25 2014 Mat Booth <mat.booth@redhat.com> - 3.1.0-3
- Build/install with mvn_build/mvn_install

* Thu Sep 25 2014 Mat Booth <mat.booth@redhat.com> - 3.1.0-2
- Install supplied appstream metadata

* Wed Sep 24 2014 Mat Booth <mat.booth@redhat.com> - 3.1.0-1
- Update to latest upstream release

* Wed Sep 03 2014 Mat Booth <mat.booth@redhat.com> - 3.1.0-0.2.git802e91dd
- Update to git snapshot of 3.1

* Tue Sep 02 2014 Mat Booth <mat.booth@redhat.com> - 3.1.0-0.1.git7c21d231
- Update to git snapshot of 3.1
- Drop upstreamed patches

* Tue Aug 12 2014 Jeff Johnston <jjohnstn@redhat.com> 3.0.0-6
- Fix messages in tools path properties page.
- Fix commented out pie-chart patch.

* Wed Aug 06 2014 Jeff Johnston <jjohnstn@redhat.com> 3.0.0-5
- Modify piechart patch to prevent premature disposal of fonts.

* Thu Jul 24 2014 Jeff Johnston <jjohnstn@redhat.com> 3.0.0-4
- Fix piechart title centering for swt-chart 0.9 and higher.

* Thu Jul 24 2014 Sami Wagiaalla <swagiaal@redhat.com> 3.0.0-3
- Disable createrepo tests.

* Mon Jun 30 2014 Alexander Kurtakov <akurtako@redhat.com> 3.0.0-2
- Backport patch for disappearing RPM menu.

* Tue Jun 24 2014 Alexander Kurtakov <akurtako@redhat.com> 3.0.0-1
- Update to 3.0 final release.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-0.3.git20140509
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 Alexander Kurtakov <akurtako@redhat.com> 3.0.0-0.2.git20140509
- BR latest tycho to not manually copy eclipse-license.

* Fri May 9 2014 Alexander Kurtakov <akurtako@redhat.com> 3.0.0-0.1.git20140509
- First Luna build.

* Thu Mar 20 2014 Mat Booth <fedora@matbooth.co.uk> - 2.2.1-1
- Update to Linux Tools 2.2.1 release.
- Drop dep on usermode, we use polkit now.

* Sun Dec 29 2013 Alexander Kurtakov <akurtako@redhat.com> 2.2.0-3
- Bump release for rebuild.

* Sun Dec 29 2013 Alexander Kurtakov <akurtako@redhat.com> 2.2.0-2
- Drop old Provides and make Obsoletes fully cover old versions.

* Wed Dec 11 2013 Alexander Kurtakov <akurtako@redhat.com> 2.2.0-1
- Update to Linux Tools 2.2.0 tag.

* Mon Nov 18 2013 Alexander Kurtakov <akurtako@redhat.com> 2.2.0-0.1.gitd2973ee
- Update to Linux Tools 2.2.0 snapshot.

* Tue Oct 8 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.1.0-3
- Include fix for save not working in a spec compare editor.

* Mon Sep 30 2013 Alexander Kurtakov <akurtako@redhat.com> 2.1.0-2
- Bump changelog version too.

* Mon Sep 30 2013 Alexander Kurtakov <akurtako@redhat.com> 2.1.0-1
- Update to latest upstream release.

* Thu Sep 19 2013 Roland Grunberg <rgrunber@redhat.com> - 2.0.0-4
- Fix Bug 1009448.

* Tue Aug 13 2013 Roland Grunberg <rgrunber@redhat.com> - 2.0.0-3
- Add eclipse-linuxtools-tests subpackage.

* Tue Aug 06 2013 Roland Grunberg <rgrunber@redhat.com> - 2.0.0-2
- Fix Bug 992171.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 27 2013 Alexander Kurtakov <akurtako@redhat.com> 2:2.0.0-1
- Final 2.0.0 release.

* Fri Jun 07 2013 Sami Wagiaalla <swagiaal@redhat.com>  2:2.0.0-0.7.git6428ae8
- Update to RC3.

* Mon May 13 2013 Roland Grunberg <rgrunber@redhat.com> 2:2.0.0-0.6.git294c1bf
- Update to a newer snapshot.

* Mon May 13 2013 Alexander Kurtakov <akurtako@redhat.com> 2:2.0.0-0.5.gitd67d6da
- Make callgraph and linuxtoolsframework obsoletes be fixed.

* Tue Apr 23 2013 Sami Wagiaalla <swagiaal@redhat.com> 2.0.0-0.4.gitd67d6da
- Update to a new snapshot.

* Thu Apr 11 2013 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-0.3.gita645f32
- New snapshot containing fix for building with Ant 1.9.

* Wed Apr 10 2013 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-0.2.gitaa6d235
- SCL-ize.
- Update to newer snapshot.

* Wed Mar 27 2013 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-0.1.git95aacfe
- Update to 2.0.0 prerelease for Kepler compatibility.
- Changelog no longer has it's own release as the version bumped.

* Mon Feb 4 2013 <swagiaal@redhat.com> 1.2.0-5
- Actually remove 'Requires: kernel-debuginfo' from systemtap.

* Wed Jan 30 2013 <swagiaal@redhat.com> 1.2.0-4
- Remove 'Requires: kernel-debuginfo' from systemtap.

* Thu Jan 24 2013 <rgrunber@redhat.com> 1.2.0-3
- Properly package PolicyKit for Eclipse OProfile.

* Mon Jan 7 2013 <swagiaal@redhat.com> 1.2.0-2
- Add 'Requires' to systemtap on kernel-debuginfo.

* Fri Nov 23 2012 Roland Grunberg <rgrunber@redhat.com> 1.2.0-1
- Update to 1.2.0 upstream release.
- Disable jacoco-maven-plugin.

* Fri Oct 5 2012 Roland Grunberg <rgrunber@redhat.com> 1.1.1-3
- Synchronize release number for subpackages and rebuild.

* Fri Oct 5 2012 Roland Grunberg <rgrunber@redhat.com> 1.1.1-2
- Bump release to avoid conflicting with previous build.

* Tue Oct 2 2012 Roland Grunberg <rgrunber@redhat.com> 1.1.1-1
- Update to 1.1.1 upstream release.

* Wed Aug 8 2012 Alexander Kurtakov <akurtako@redhat.com> 1.1.0-1
- Initial packaging.
